C*************************************************************************
C
      SUBROUTINE TABPRT
C          REVISED 9 SEPT 88 TO HANDLE METHANE DATA
C*************************************************************************
C
      IMPLICIT  REAL*8  (A-H,O-Z) , INTEGER (I-N)
C
      COMMON ZLXM(10,6),PIM(3,6),GCI(2),EDRIKM(6,6),EFJM(4,6),
     &       ESIM(6,6),ESI1M(6,6),ESI2M(6,6),GNPFLM(10,6),SYNIM(6,6),
     &       CO2IIM(6,6),NM,JOPT(2),SOLUSE(2,6),CO2LM(9,6),CH4IM(7,6),
     &       CH4LM(9,6)
C
C
      INTEGER R(33)
      CHARACTER*4 YEAR(6)
C
      OPEN (6,FILE='lpt1',STATUS='NEW')
      JUNIT=6
C
      YEAR(1)='1975'
      YEAR(2)='2000'
      YEAR(3)='2025'
      YEAR(4)='2050'
      YEAR(5)='2075'
      YEAR(6)='2100'
C
      R(1)='USA '
      R(2)='    '
      R(3)='    '
      R(4)='CANA'
      R(5)='DA &'
      R(6)=' EUR'
      R(7)='OECD'
      R(8)=' PAC'
      R(9)='IFIC'
      R(10)='USSR'
      R(11)='/E. '
      R(12)='EUR.'
      R(13)='CHIN'
      R(14)='A/ET'
      R(15)='.AL.'
      R(16)='MIDD'
      R(17)='LE E'
      R(18)='AST '
      R(19)='AFRI'
      R(20)='CA  '
      R(21)='    '
      R(22)='LATI'
      R(23)='N AM'
      R(24)='ER  '
      R(25)='S.&E'
      R(26)='. AS'
      R(27)='IA  '
      R(28)='ALL '
      R(29)='REGI'
      R(30)='ONS '
      R(31)='TOTA'
      R(32)='L TR'
      R(33)='ADE '
C
      IF (NM.EQ.1) ASSIGN 3091 TO JFORM
      IF (NM.EQ.2) ASSIGN 3092 TO JFORM
      IF (NM.EQ.3) ASSIGN 3093 TO JFORM
      IF (NM.EQ.4) ASSIGN 3094 TO JFORM
      IF (NM.EQ.5) ASSIGN 3095 TO JFORM
      IF (NM.EQ.6) ASSIGN 3096 TO JFORM
      IF (NM.EQ.7) ASSIGN 3097 TO JFORM
      IF (NM.EQ.8) ASSIGN 3098 TO JFORM
C
         DO 3011 JJ=1,4
            WRITE(JUNIT,3012)
 3012       FORMAT(1X)
 3011    CONTINUE
C-----------CO2 REMOVED FROM HERE DOWN TO 3100
         WRITE(JUNIT,3069)
 3069    FORMAT(1X,29X,'PRIMARY ENERGY SUPPLY')
         WRITE(JUNIT,5510)
 5510    FORMAT(1X,29X,'10**18 JOULES PER YEAR')
         WRITE(JUNIT,3015)
 3015    FORMAT('0','PERIOD',5X,'OIL',7X,'GAS',6X,'SOLIDS',3X,'NUCLEAR',
     &          4X,'SOLAR',5X,'HYDRO',5X,'TOTAL')
         WRITE(JUNIT,3008)
 3008    FORMAT(1X,6('-'),7(3X,7('-')))
         DO 3016 M=1,NM
            TOT=0D0
            DO 20 I=1,6
               TOT=TOT+ESIM(I,M)
 20         CONTINUE
            WRITE(JUNIT,3009) YEAR(M),(ESIM(I,M),I=1,6),TOT
 3009    FORMAT('0',1X,A4,1X,6(3X,F7.1),2X,F8.1)
 3016    CONTINUE
         DO 3017 JJ=1,5
            WRITE(JUNIT,3012)
 3017    CONTINUE
         DO 3018 JJ=1,8
            WRITE(JUNIT,3012)
 3018    CONTINUE
         WRITE(JUNIT,3019)
 3019    FORMAT(1X,28X,'SECONDARY ENERGY DEMAND')
         WRITE(JUNIT,5510)
         WRITE(JUNIT,3020)
 3020    FORMAT('0',5X,'PERIOD',7X,'LIQUIDS',6X,'GASES',7X,'SOLIDS',5X,
     &          'ELECTRIC',5X,'TOTAL')
         WRITE(JUNIT,3023)
 3023    FORMAT(6X,6('-'),2X,5(5X,7('-')))
         DO 3022 M=1,NM
            TOT=0D0
            DO 30 I=1,4
               TOT=TOT+EFJM(I,M)
 30         CONTINUE
            WRITE(JUNIT,3021)YEAR(M),(EFJM(I,M),I=1,4),TOT
 3021       FORMAT('0',6X,A4,3X,5(4X,F8.2))
 3022    CONTINUE
         DO 3024 JJ=1,4
            WRITE(JUNIT,3012)
 3024    CONTINUE
         DO 3025 JJ=1,4
            WRITE(JUNIT,3012)
 3025    CONTINUE
         WRITE(JUNIT,3026)
 3026    FORMAT(1X,35X,'OIL SUPPLY')
         WRITE(JUNIT,5510)
         WRITE(JUNIT,27)
 27      FORMAT('0',38X,'TOTAL',19X,'TOTAL')
         WRITE(JUNIT,3027)
 3027    FORMAT(1X,2X,'PERIOD',6X,'CONV',8X,'SHALE',6X,'PRIMARY',6X,
     &          'SYNOIL',4X,'AVAILABLE')
         WRITE(JUNIT,3028)
 3028    FORMAT(1X,2X,6('-'),5(5X,7('-')))
         DO 3030 M=1,NM
            SUBTOT=ESI1M(1,M)+ESI2M(1,M)
            TOT=SUBTOT+SYNIM(1,M)
            WRITE(JUNIT,3029) YEAR(M),ESI1M(1,M),ESI2M(1,M),SUBTOT,
     &                        SYNIM(1,M),TOT
 3029       FORMAT('0',3X,A4,1X,5(5X,F7.1))
 3030    CONTINUE
         DO 3031 JJ=1,5
            WRITE(JUNIT,3012)
 3031    CONTINUE
         DO 3032 JJ=1,4
            WRITE(JUNIT,3012)
 3032    CONTINUE
         WRITE(JUNIT,3033)
 3033    FORMAT(1X,35X,'GAS SUPPLY')
         WRITE(JUNIT,5510)
         WRITE(JUNIT,3034)
 3034    FORMAT('0',19X,'PERIOD',6X,'CONV',8X,'SYNGAS',6X,'TOTAL')
         WRITE(JUNIT,3080)
 3080    FORMAT(1X,19X,6('-'),3(5X,7('-')))
         DO 3035 M=1,NM
            TOT=ESI1M(2,M)+SYNIM(2,M)
            WRITE(JUNIT,3081)YEAR(M),ESI1M(2,M),SYNIM(2,M),TOT
 3081       FORMAT('0',20X,A4,1X,3(5X,F7.1))
 3035    CONTINUE
         DO 3036 JJ=1,5
            WRITE(JUNIT,3012)
 3036    CONTINUE
         DO 3037 JJ=1,4
            WRITE(JUNIT,3012)
 3037    CONTINUE
         WRITE(JUNIT,3038)
 3038    FORMAT(1X,27X,'PRIMARY ENERGY SOLIDS SUPPLY')
         WRITE(JUNIT,5510)
         WRITE(JUNIT,3039)
 3039    FORMAT('0',20X,'PERIOD',7X,'COAL',6X,'BIOMASS',6X,'TOTAL')
         WRITE(JUNIT,3040)
 3040    FORMAT(1X,20X,6('-'),3(5X,7('-')))
         DO 3042 M=1,NM
            TOT=ESI1M(3,M)+ESI2M(3,M)
            WRITE(JUNIT,3041) YEAR(M),ESI1M(3,M),ESI2M(3,M),TOT
 3041       FORMAT('0',21X,A4,1X,3(5X,F7.1))
 3042    CONTINUE
         DO 3043 JJ=1,5
            WRITE(JUNIT,3012)
 3043    CONTINUE
         DO 3070 JJ=1,4
            WRITE(JUNIT,3012)
 3070    CONTINUE
         WRITE(JUNIT,3074)
 3074    FORMAT(1X,35X,'SOLIDS USE')
         WRITE(JUNIT,5510)
         WRITE(JUNIT,39)
 39      FORMAT('0',6X,'PERIOD',6X,'SYNOIL',6X,'SYNGAS',5X,'UTILITY',
     &          5X,'END-USE',6X,'TOTAL')
         WRITE(JUNIT,3075)
 3075    FORMAT(1X,6X,6('-'),5(5X,7('-')))
         DO 3071 M=1,NM
            SOLUSE(1,M)=SYNIM(1,M)*GCI(1)
            SOLUSE(2,M)=SYNIM(2,M)*GCI(2)
 3071    CONTINUE
         DO 3072 M=1,NM
            TOT=SOLUSE(1,M)+SOLUSE(2,M)+EDRIKM(3,M)+EFJM(3,M)
            WRITE(JUNIT,41)YEAR(M),(SOLUSE(I,M),I=1,2),EDRIKM(3,M),
     &                     EFJM(3,M),TOT
 41         FORMAT('0',7X,A4,1X,5(5X,F7.1))
 3072    CONTINUE
         DO 3073 JJ=1,5
            WRITE(JUNIT,3012)
 3073    CONTINUE
         DO 3050 JJ=1,4
            WRITE(JUNIT,3012)
 3050    CONTINUE
         WRITE(JUNIT,3051)
 3051    FORMAT(1X,27X,'UTILITY ENERGY CONSUMPTION')
         WRITE(JUNIT,5510)
         WRITE(JUNIT,35)
 35      FORMAT('0','PERIOD',3X,'LIQUIDS',5X,'GAS',6X,'SOLIDS',3X,
     &          'NUCLEAR',4X,'SOLAR',5X,'HYDRO',5X,'TOTAL')
         WRITE(JUNIT,38)
 38      FORMAT(1X,6('-'),7(3X,7('-')))
         DO 3052 M=1,NM
            TOT=0D0
            DO 40 I=1,6
               TOT=TOT+EDRIKM(I,M)
 40         CONTINUE
            WRITE(JUNIT,3009) YEAR(M),(EDRIKM(I,M),I=1,6),TOT
 3052    CONTINUE
         DO 3053 JJ=1,5
            WRITE(JUNIT,3012)
 3053    CONTINUE
         DO 3054 JJ=1,10
            WRITE(JUNIT,3012)
 3054    CONTINUE
         WRITE(JUNIT,3055)
 3055    FORMAT(1X,30X,'WORLD ENERGY PRICES')
         WRITE(JUNIT,5515)
 5515    FORMAT(1X,28X,'1975 U.S.$ PER GIGAJOULE')
         WRITE(JUNIT,327)
 327     FORMAT('0',20X,'PERIOD',7X,'OIL',9X,'GAS',8X,'SOLIDS')
         WRITE(JUNIT,328)
 328     FORMAT(1X,20X,6('-'),3(5X,7('-')))
         DO 3056 M=1,NM
            WRITE(JUNIT,329)YEAR(M),(PIM(I,M),I=1,3)
 329        FORMAT('0',21X,A4,3(5X,F7.2))
 3056    CONTINUE
         DO 3057 JJ=1,5
            WRITE(JUNIT,3012)
 3057    CONTINUE
         DO 3058 JJ=1,4
            WRITE(JUNIT,3012)
 3058    CONTINUE
         WRITE(JUNIT,3059)
 3059    FORMAT(1X,26X,'FINAL GNP BY REGION AND YEAR')
         WRITE(JUNIT,5520)
 5520    FORMAT(1X,32X,'10**9 1975 U.S.$')
         WRITE(JUNIT,3060)(YEAR(M),M=1,NM)
 3060    FORMAT('0',3X,'REGION',3X,6(6X,A4))
         WRITE(JUNIT,JFORM)
 3061    FORMAT(1X,12('-'),1X,6(2X,8('-')))
         DO 3063 L=1,9
            LA=1+3*(L-1)
            LB=LA+2
            WRITE(JUNIT,3062)(R(K),K=LA,LB),(GNPFLM(L,M),M=1,NM)
 3062       FORMAT(1X,3A4,1X,6(2X,F8.0))
 3063    CONTINUE
         WRITE(JUNIT,JFORM)
         WRITE(JUNIT,3062)(R(K),K=28,30),(GNPFLM(10,M),M=1,NM)
         DO 3064 JJ=1,5
            WRITE(JUNIT,3012)
 3064    CONTINUE
         DO 3065 JJ=1,4
            WRITE(JUNIT,3012)
 3065    CONTINUE
         WRITE(JUNIT,3066)
 3066    FORMAT(1X,32X,'GLOBAL POPULATION')
         WRITE(JUNIT,5525)
 5525    FORMAT(1X,34X,'10**6 PERSONS')
         WRITE(JUNIT,3060)(YEAR(M),M=1,NM)
         WRITE(JUNIT,JFORM)
         DO 3067 L=1,9
            LA=1+3*(L-1)
            LB=LA+2
            WRITE(JUNIT,3062)(R(K),K=LA,LB),(ZLXM(L,M),M=1,NM)
 3067    CONTINUE
         WRITE(JUNIT,JFORM)
         WRITE(JUNIT,3062)(R(K),K=28,30),(ZLXM(10,M),M=1,NM)
         DO 3068 JJ=1,5
            WRITE(JUNIT,3012)
 3068    CONTINUE
C
 3091 FORMAT(1X,12('-'),1X,1(2X,8('-')))
 3092 FORMAT(1X,12('-'),1X,2(2X,8('-')))
 3093 FORMAT(1X,12('-'),1X,3(2X,8('-')))
 3094 FORMAT(1X,12('-'),1X,4(2X,8('-')))
 3095 FORMAT(1X,12('-'),1X,5(2X,8('-')))
 3096 FORMAT(1X,12('-'),1X,6(2X,8('-')))
 3097 FORMAT(1X,12('-'),1X,7(2X,8('-')))
 3098 FORMAT(1X,12('-'),1X,8(2X,8('-')))
C
C--------CO2 AND CH4 ADDED STARTING HERE
          WRITE(JUNIT,3100)
 3100     FORMAT(1X,21X,'CARBON DIOXIDE EMISSIONS (SUPPLY SOURCE)')
          WRITE(JUNIT,3105)
 3105     FORMAT(1X,24X,'10**6 TONNES OF CARBON PER YEAR')
          WRITE(JUNIT,3110)
 3110     FORMAT('0',10X,'CONV.',5X,'SHALE')
          WRITE(JUNIT,3115)
 3115     FORMAT(1X,'PERIOD',5X,'OIL',7X,'OIL',6X,'SYNOIL',5X,'COAL',6X,
     &    'SYNGAS',4X,'GAS',6X,'TOTAL')
          WRITE(JUNIT,3120)
 3120     FORMAT(1X,6('-'),7(3X,7('-')))
          DO 3125 M=1,NM
               TOT=0D0
               DO 10 I=1,6
                    TOT=TOT+CO2IIM(I,M)
   10          CONTINUE
               WRITE(JUNIT,3124)YEAR(M),(CO2IIM(I,M),I=1,6),TOT
 3124          FORMAT('0',1X,A4,1X,6(3X,F7.1),2X,F8.1)
 3125     CONTINUE
          DO 3130 JJ=1,8
               WRITE(JUNIT,3012)
 3130     CONTINUE
          WRITE(JUNIT,3200)
 3200     FORMAT(1X,30X,'METHANE EMISSIONS')
          WRITE(JUNIT,3205)
 3205     FORMAT(1X,24X,'10**6 TONNES OF METHANE PER YEAR')
          WRITE(JUNIT,3210)
 3210     FORMAT('0',9X,'COAL',4X,'GAS',5X,'GAS',5X,'GAS',5X,'AUTO',3X,
     &    'BIOMASS',2X,'LAND')
          WRITE(JUNIT,3215)
 3215     FORMAT(1X,'PERIOD',2X,'PROD''N',2X,'PROD''N',2X,'VENT''G',2X,
     &    'TRNMSN',2X,'EXHAUST',1X,'BURN''G',3X,'FILL',4X,'TOTAL')
          WRITE(JUNIT,3220)
 3220     FORMAT(1X,6('-'),8(2X,6('-')))
          DO 3225 M=1,NM
               TOT=0D0
               DO 11 I=1,7
                    TOT=TOT+CH4IM(I,M)
   11          CONTINUE
               WRITE(JUNIT,3226)YEAR(M),(CH4IM(I,M),I=1,7),TOT
 3226          FORMAT('0',1X,A4,1X,7(2X,F6.2),2X,F6.2)
 3225     CONTINUE
          DO 3230 JJ=1,8
               WRITE(JUNIT,3012)
 3230     CONTINUE
      WRITE(*,60)
 60   FORMAT(////' WRITING COMPLETE... '///)
C
      RETURN
      END
