$NOFLOATCALLS
C***********************************************************************
C
      FUNCTION  XNTERP(X,Y,Z,T)
C
C***********************************************************************
C
C     THIS FUNCTION INTERPOLATES BETWEEN AN INITIAL VALUE (X) AND A
C     FINAL VALUE (Y) IF THE CURRENT PERIOD (T) IS LESS THAN THE
C     TRANSITION PERIOD (Z).
C
      REAL*8  X,Y,Z,T,TT,XNTERP
C
      IF (T .GE. Z) XNTERP=Y
      IF (T .GE. Z) RETURN
      TT=T/Z
      XNTERP=X**(1.D0-TT)*Y**TT
C
      RETURN
      END




