$NOFLOATCALLS
C***********************************************************************
C
      SUBROUTINE OREAD2
C
C***********************************************************************
C
C  MAKE ALL REAL VARIABLES DOUBLE PRECISION
C
      IMPLICIT   REAL*8 (A-H,O-Z),   INTEGER (I-N)
C
C COMMON BLOCKS
$INCLUDE:'COMMON.FOR'
C
C  -- DECLARE CHARACTER VARIABLES --
C
      DIMENSION   A(20),AI(19),NOTES(5),ANOTE(2),NOTE2(5)
C
C
1000  FORMAT (6F10.0,5A4)
1010  FORMAT (I6,19A4)
1026  FORMAT (6F10.0,5A4)
1030  FORMAT (5F10.0,7A4)
1031  FORMAT (7F9.0,2A4)
1040  FORMAT (2F10.0,5A4)
1060  FORMAT (3F10.0,7A4)
1100  FORMAT (20A4)
2000  FORMAT (1X,6F10.4,5A4)
2010  FORMAT (1X,I6,19A4)
2026  FORMAT (1X,6(F8.4,2X),5A4)
2030  FORMAT (1X,5F10.4,7A4)
2032  FORMAT (1X,7F9.0,2A4)
2040  FORMAT (1X,F10.3,F10.0,7A4)
2060  FORMAT (1X,3F10.4,7A4,20X)
2100  FORMAT (1X,20A4)
2105  FORMAT ('1')
C
C   SET MODEL VERSION NUMBER
       MVRSN = 2
C
C------------------------------------------------
C-- READ OUTPUT MENU CONTROL PARAMETERS NOPT   --
C------------------------------------------------
C
      DO 1 KK=1,7
      READ (IUNIT,1100)  A
    1 CONTINUE
C
      DO 2 KK=1,9
      READ (IUNIT,1010)  NOPT(KK),AI
    2 CONTINUE
C
      IF(NOPT(2).NE.1)   WRITE(JUNIT,2105)
      READ (IUNIT,1100)  A
      READ (IUNIT,1010)  NM,AI
      IF (NOPT(2).NE.1)  WRITE(JUNIT,2010) NM,AI
C
C------------------------------------------------
C--                CALL NSET                   --
C------------------------------------------------
C
      CALL NSET
C
C -----------------------------------------------
C -- READ IN ENERGY PRICE PARAMETERS           --
C -----------------------------------------------
C
      DO  4 KK=1,12
         READ (IUNIT,1100)  A
         IF (NOPT(2)-1) 3,4,3
    3    WRITE(JUNIT,2100)  A
    4 CONTINUE
C
      READ (IUNIT,1060)   (TRI(I),I=1,NF),NOTES
      IF (NOPT(2)-1) 5,6,5
    5 WRITE(JUNIT,2060)   (TRI(I),I=1,NF),NOTES
    6 DO 8 M=1,NMREAD
         READ (IUNIT,1060)   (PIM(I,M),I=1,NF),NOTES
         IF (NOPT(2)-1) 7,8,7
    7    WRITE(JUNIT,2060)   (PIM(I,M),I=1,NF),NOTES
    8 CONTINUE
C           ------------------------------------------
C           --  READ IN TRADE BARRIER COEFFICIENTS  --
C           ------------------------------------------
C
      DO 34 KK=1,3
         READ (IUNIT,1100)  A
         IF (NOPT(2)-1) 33,34,33
   33    WRITE(JUNIT,2100)  A
   34 CONTINUE
C
      DO 35 I=1,NF
         DO 36 KK=1,3
            READ (IUNIT,1100)  A
            IF (NOPT(2)-1) 31,36,31
   31       WRITE(JUNIT,2100)  A
   36    CONTINUE
         DO 37 L=1,NL
            READ (IUNIT,1026)   (TXILM(I,L,M),M=1,NMREAD),NOTES
            IF (NOPT(2)-1) 32,37,32
   32       WRITE(JUNIT,2026)   (TXILM(I,L,M),M=1,NMREAD),NOTES
   37    CONTINUE
   35 CONTINUE
C           ---------------------------------------
C           --  READ IN FINAL CONSUMPTION TAXES  --
C           ---------------------------------------
C
      DO 38 KK=1,3
         READ (IUNIT,1100)  A
         IF (NOPT(2)-1) 28,38,28
   28    WRITE(JUNIT,2100)  A
   38 CONTINUE
C
      DO 41 J=1,NJ
         DO 39 KK=1,3
            READ (IUNIT,1100)  A
            IF (NOPT(2)-1) 29,39,29
   29       WRITE(JUNIT,2100)  A
   39    CONTINUE
         DO 40 L=1,NL
            NK=NKL(L)
          DO 42 K=1,NK
            READ (IUNIT,1026)   (TXJKLM(J,K,L,M),M=1,NMREAD),NOTES
            IF(NOPT(2)-1) 27,42,27
   27       WRITE(JUNIT,2026)   (TXJKLM(J,K,L,M),M=1,NMREAD),NOTES
   42     CONTINUE
   40    CONTINUE
   41 CONTINUE
C
C   -------------------------------------
C   --  READ IN POPULATION DATA (ZLM)  --
C   -------------------------------------
C
      DO  45 KK=1,7
         READ (IUNIT,1100)  A
         IF (NOPT(2) .EQ. 1)   GO TO 45
         WRITE(JUNIT,2100)  A
   45 CONTINUE
C
      DO 50 L=1,NL
         READ (IUNIT,1031)   ZL(L),(ZLM(L,M),M=1,NMREAD),ANOTE
         IF (NOPT(2) .EQ. 1)   GO TO 50
         WRITE(JUNIT,2032)   ZL(L),(ZLM(L,M),M=1,NMREAD),ANOTE
   50 CONTINUE
C
      DO 55 KK=1,8
         READ (IUNIT,1100)  A
         IF (NOPT(2) .EQ. 1)   GO TO 55
         WRITE(JUNIT,2100)  A
   55 CONTINUE
C
C      ---------------------------------------------
C      --  READ IN LABOR PRODUCTIVITY GROWTH AND  --
C      --           BASE LEVEL OF GNP             --
C      ---------------------------------------------
      DO 60 L=1,NL
         READ (IUNIT,1040)   PROL(L),GNPBL(L),NOTES
         IF (NOPT(2) .EQ. 1)   GO TO 60
         WRITE(JUNIT,2040)   PROL(L),GNPBL(L),NOTES
   60 CONTINUE
C
C ----------------------------------------------------------------------
C --  READ IN REFINERY COEFFICIENTS AND BASE SECONDARY ENERGY PRICES  --
C ----------------------------------------------------------------------
C
      DO 110 KK=1,11
         READ (IUNIT,1100)  A
         IF (NOPT(2)-1) 105,110,105
  105    WRITE(JUNIT,2100)  A
  110 CONTINUE
C
      READ (IUNIT,1000)   (GIJ(I),HIJ(I),I=1,NF),NOTES
      IF (NOPT(2)-1) 115,111,115
  115 WRITE(JUNIT,2000)   (GIJ(I),HIJ(I),I=1,NF),NOTES
C
C
C ------------------------------------------------------
C --  READ IN ELECTRIC POWER GENERATION COEFFICIENTS  --
C ------------------------------------------------------
C
  111 DO 119 KK=1,13
         READ (IUNIT,1100)  A
         IF (NOPT(2)-1) 118,119,118
  118    WRITE(JUNIT,2100)  A
  119 CONTINUE
C
      READ (IUNIT,1000)   (GUI(I),I=1,NI),NOTES
      IF (NOPT(2)-1) 116,117,116
  116 WRITE(JUNIT,2000)   (GUI(I),I=1,NI),NOTES
  117 DO 120 L=1,NL
         READ (IUNIT,1000)   (HUIL(I,L),I=1,NI),NOTES
         IF (NOPT(2)-1) 133,120,133
  133    WRITE(JUNIT,2000)   (HUIL(I,L),I=1,NI),NOTES
  120 CONTINUE
      READ (IUNIT,1030)   (RUI(I),I=1,NU),NOTES
      IF (NOPT(2)-1) 131,132,131
  131 WRITE(JUNIT,2030)   (RUI(I),I=1,NU),NOTES
C
C
C ------------------------------------------------
C --  READ IN ELECTRIC UTILITY BASE PRICE DATA  --
C ------------------------------------------------
C
  132 DO 121 KK=1,9
         READ (IUNIT,1100)  A
         IF (NOPT(2)-1) 134,121,134
  134    WRITE(JUNIT,2100)  A
  121 CONTINUE
C
      DO 122 L=1,NL
         READ (IUNIT,1060)  (PAUIL(I,L),I=1,NF),NOTES
         IF (NOPT(2)-1) 135,122,135
  135    WRITE(JUNIT,2060)  (PAUIL(I,L),I=1,NF),NOTES
  122 CONTINUE
C
C      -------------------------------------------------------------
C      --  READ IN FUEL SHARE WEIGHTS BY PERIOD, FUEL AND REGION  --
C      -------------------------------------------------------------
C
      DO 125 M=1,NMREAD
         DO 123 KK=1,6
            READ (IUNIT,1100)  A
            IF (NOPT(2)-1) 136,123,136
  136       WRITE(JUNIT,2100)  A
  123    CONTINUE
C
         DO 124 L=1,NL
            READ (IUNIT,1030)  (BSUILM(I,L,M),I=1,NU),NOTES
            IF (NOPT(2)-1) 137,124,137
  137       WRITE(JUNIT,2030)  (BSUILM(I,L,M),I=1,NU),NOTES
  124    CONTINUE
  125 CONTINUE
      RETURN
      END
