C******************************************************************************
C
      SUBROUTINE TIT
C
C******************************************************************************
C
C   THIS SUBROUTINE PRINTS A TITLE PAGE FOR THE PROGRAM WHICH IS
C     DISPLAYED BOTH WHILE DATA IS BEING READ IN AND WHILE THE 
C     PROGRAM IS RUNNING.
C
C     INPUT VARIABLES:  NONE
C     OUTPUT VARIABLES:  NONE
C     INTERNAL VARIABLES:  NONE
C
C     PROGRAMER:  JAE EDMONDS          DATE:  10-01-85
C     SUBROUTINES CALLED:  NONE        REVISIONS:  9-8-88
C
C
      WRITE(JUNIT,2000)
 2000 FORMAT(1X)
      WRITE(JUNIT,2002)
 2002 FORMAT(1X,29X,'THE IEA/ORAU LONG-TERM')
      WRITE(JUNIT,2004)
 2004 FORMAT(1X,26X,'GLOBAL ENERGY-ECONOMIC MODEL')
      WRITE(JUNIT,2006)
 2006 FORMAT(1X,27X,'WITH CO2 AND CH4 EMISSIONS')
      WRITE(JUNIT,2000)
      WRITE(JUNIT,2010)
 2010 FORMAT(1X,39X,'BY')
      WRITE(JUNIT,2012)
 2012 FORMAT(1X,35X,'JAE EDMONDS')
      WRITE(JUNIT,2014)
 2014 FORMAT(1X,39X,'AND')
      WRITE(JUNIT,2016)
 2016 FORMAT(1X,35X,'JOHN REILLY')
      WRITE(JUNIT,2020)
 2020 FORMAT(1X,26X,'PACIFIC NORTHWEST LABORATORY')
      WRITE(JUNIT,2022)
 2022 FORMAT(1X,29X,'WASHINGTON D.C.  20036')
      WRITE(JUNIT,2000)
      WRITE(JUNIT,2026)
 2026 FORMAT(1X,39X,'FOR')
      WRITE(JUNIT,2028)
 2028 FORMAT(1X,24X,'CARBON DIOXIDE RESEARCH DIVISION')
      WRITE(JUNIT,2030)
 2030 FORMAT(1X,27X,'U.S. DEPARTMENT OF ENERGY')
      WRITE(JUNIT,2000)
      WRITE(JUNIT,2032)
 2032 FORMAT(1X,33X,'DISTRIBUTED BY')
      WRITE(JUNIT,2034)
 2034 FORMAT(1X,23X,'CARBON DIOXIDE INFORMATION CENTER')
      WRITE(JUNIT,2036)
 2036 FORMAT(1X,25X,'OAK RIDGE NATIONAL LABORATORY')
      WRITE(JUNIT,2038)
 2038 FORMAT(1X,30X,'OAK RIDGE, TN  37831')
      WRITE(JUNIT,2000)
      WRITE(JUNIT,2042)
 2042 FORMAT(1X,21X,'UNDER CONTRACT NO:  DE-AC06-76RL01830')
      WRITE(JUNIT,2000)
      WRITE(JUNIT,2044)
 2044 FORMAT(1X,26X,'VERSION 2.50, COPYRIGHT 1989')
      WRITE(JUNIT,2046)
 2046 FORMAT(1X,29X,'THE PROGRAM IS RUNNING')
      RETURN
      END
